import greenfoot.*;
import java.*;

/**
 * This class defines a crab. Crabs live on the beach.
 */
public class Fish extends Actor
{
    private GreenfootImage image1;
    private GreenfootImage image2;
    private int wormsEaten;
    private int counter;
    
    public Fish() {
        image1 = new GreenfootImage("fish.png");
        image2 = new GreenfootImage("fish2.png");
        setImage(image1);
    }
    
    public void act()
    {
        /*if (isAtEdge()) {
            turn(10);
        }*/
        // randomTurn();
        switchImage();
        checkKeypress();
        lookForWorm();
        move(3);
    }
    
    public void switchImage() {
        if (counter % 3 == 0) {
            if (getImage() == image1) {
                setImage(image2);
            }
            else {
                setImage(image1);
            }
        }
        counter++;
    }
    
    private void checkKeypress() {
        if (Greenfoot.isKeyDown("left")) {
            turn(-4);
        }
        if (Greenfoot.isKeyDown("right")) {
            turn(4);
        }
    }
    
    private void randomTurn() { // This method turns the crab in a random fashion.
        if (Greenfoot.getRandomNumber(100) < 10) {
            switch (Greenfoot.getRandomNumber(1)) {
                case 0: turn(Greenfoot.getRandomNumber(45));
                case 1: turn(Greenfoot.getRandomNumber(45) * -1);
            }
        }
    }
    
    private void lookForWorm() {
        if (isTouching(Worm.class)){
            removeTouching(Worm.class);
            Greenfoot.playSound("eatWorms.wav");
            
            wormsEaten++;
            
            if (wormsEaten == 8) {
                Greenfoot.playSound("fanfare.wav");
                Greenfoot.stop();
            }
        }
    }
}
